VelocityReport Plugin - Defect #816

Print table header on each page
07/09/2014 10:58 AM - Jos de Bruijn
Target version:

Browser (if web Chrome 35.0.1916.153
Description

Not sure if this is a bug, or if I'm doing something wrong.

I've got a velocity report that has to generate a PDF file.

The report is basically a single html table, and | want the header to repeat on each page.
| think I've got the html correct but it is not working.

I've added a thead and tbody to the table and added the following to the style:

thead {display: table-header-group;}

tbody{ display:table-row-group;}

I've included the report as it is generated by velocity

History

#1 - 07/09/2014 07:02 PM - Patrick Talbot

thead {display: table-header-group;}
tbody{ display:table-row-group;}
is not supported CSS.

try this instead:
table {
-fs-table-paginate: paginate;

}

#2 - 07/11/2014 12:14 PM - Jos de Bruijn

- File report_organisation.html added

That also does not repeat the header on all pages, and as a side-effect it adds a margin to all table cells
I've tried to include the generated pdf file, but this does not show up in the issue. | can mail it if you like.

#3 - 07/11/2014 03:08 PM - Patrick Talbot

The html files are not accessible. Please zip your files (including the pdf) and attach them.

| just tried -fs-table-paginate: paginate; and yes, it nulls table-collapse: collapse (which is a known bug), but it works in my case.

You could also alternatively try a running header.

div.header { display: none }
div.header { display: block; position: running(header); }

@page {
size: letter portrait;
Qtop-left { content: element (header); }

}
Then have a div with some repeated content. Problem is that you would have to have fixed width in your columns then.

But -fs-table-paginate: paginate; should work for thead in tables.

#4 - 07/15/2014 10:27 AM - Jos de Bruijn
- File files.zip added
Files added

#5 - 07/15/2014 04:07 PM - Patrick Talbot

Could you include the filled report?

#6 - 07/15/2014 04:10 PM - Patrick Talbot

Looking quickly at the template, | see you didn't define a <thead> around the <tr><th> and a <tbody> around the rest.

If you add that it should work

#7 - 07/29/2014 03:23 PM - Patrick Talbot

Does this work with thead and tbody correctly set? Please report.

#8 - 08/14/2014 01:31 PM - Jos de Bruijn

Sorry it took so long to reply.
Adding the thead and tbody does indeed repeat the header on all pages.
Now | only need to find a workaround for the margins around the cells.

#9 - 08/14/2014 06:27 PM - Patrick Talbot

- Status changed from New to Closed

Files

report.html 39.4 KB 07/09/2014 Jos de Bruijn

report_organisation.html 4.79 KB 07/11/2014 Jos de Bruijn

files.zip 30.2 KB 07/15/2014 Jos de Bruijn
